package cn.iocoder.yudao.module.system.service.sys;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.sys.vo.DrugDictionaryPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.sys.SysDrugDictionaryDO;

import java.util.List;

/**
 * 药品字典 Service 接口
 *
 * @author 系统管理员
 */
public interface SysDrugDictionaryService {


    void createDrugDictionary(SysDrugDictionaryDO sysDrugDictionaryDO);

    void updateDrugDictionary(SysDrugDictionaryDO sysDrugDictionaryDO);

    void deleteDrugDictionary(List<Long> ids);

    SysDrugDictionaryDO getDrugDictionary(Long drugId);

    PageResult<SysDrugDictionaryDO> getDrugDictionaryPage(DrugDictionaryPageReqVO pageReqVO);
}